﻿<%@ WebHandler Language="C#" Class="Captcha" %>

using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Web;

public class Captcha : IHttpHandler {
    
public void ProcessRequest (HttpContext context) {
   using (Bitmap b = new Bitmap(70, 25, PixelFormat.Format32bppArgb))
   {
    using (Graphics g = Graphics.FromImage(b))
    {
     Rectangle rect = new Rectangle(0, 0, 70, 25);
     g.FillRectangle(Brushes.White, rect);
     Random r = new Random();
     int startIndex = r.Next(1, 5);
     int length = r.Next(4, 7);
     String drawString = Guid.NewGuid().ToString().Replace("-", "0").Substring(startIndex, length);
     Font drawFont = new Font("Calibri", 14);
     using (SolidBrush drawBrush = new SolidBrush(Color.Black))
     {
         PointF drawPoint = new PointF(0, 0);
         g.DrawString(drawString, drawFont, drawBrush, drawPoint);
     }
     b.Save(context.Response.OutputStream, ImageFormat.Jpeg);
     context.Response.ContentType = "image/jpeg";
     context.Response.End();
     }
    }
   }
 
    public bool IsReusable {
    get {
    return false;
    }
    }
}